#!/bin/bash
set -e
set -o pipefail

output=/context
mkdir -p "$output"

basedir=/var/run/contextcopy
mkdir -p $basedir
basedir=$(readlink -f "$basedir")

tempdir=$(mktemp -d -p "$basedir")

if [ -z "$tempdir" ] || [ -z "$output" ]; then
  echo "tempdir or output were not set"
  exit 1
fi

mount -o ro "$DEVNAME" "$tempdir"

cp -r "$tempdir"/* "$output/"

umount "$tempdir"
rm -Rf "$tempdir"

echo "$output"
